//+------------------------------------------------------------------+
//|                                                          das.mq4 |
//|                        Copyright 2015, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict
long chart=ChartID();
input double pf1=0.8;
input int nrtrades=100;
int wins=0;
int losses=0;
int i;

//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
void calculate() 
{

}
int OnInit()
  {
//---
datetime time=TimeCurrent();
double price=PRICE_CLOSE;
int d=ObjectsTotal(ChartID(),0,OBJ_ARROW);
for (i=0;i<=d;i++)
{
string name=ObjectName(i);

ObjectDelete(0,name);
}
  // ObjectCreate(chart,"delta",OBJ_BUTTON,0,0,0);
   //---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
wins=0;
losses=0;
double winrate;
double PF;
PF=0;
int q=ObjectsTotal(ChartID(),0,OBJ_ARROW);
for (i=0;i<=q;i++)
{
string salve=ObjectName(i);
int w1=ObjectGetInteger(ChartID(),salve,OBJPROP_ARROWCODE,0);

if (w1==252) wins++; 
if (w1==251) losses++;
}

string numea=ChartID();
int total= wins+losses;
double c=wins;
double  d=losses;
if (wins>0) winrate =c/(c+d); else winrate=0;
if (losses>0 )PF=wins*pf1/losses;
double profit1;
double profit2;

if ((winrate>0)&&(winrate<1))
{
profit1=(winrate*pf1-(1-winrate))*total;
profit2=profit1*nrtrades/total;
}
 // ObjectCreate(0,"sad",OBJ_BUTTON,0,0,0);
 ObjectCreate(0,"delta1",OBJ_LABEL,0,0,0);
 ObjectSet("delta1",OBJPROP_XDISTANCE,997);
 ObjectSet("delta1",OBJPROP_YDISTANCE,6);
 ObjectSetText("delta1","Winrate  "+DoubleToStr(winrate,2)+" PF  "+DoubleToStr(PF,2)+"  TradesTotal "+total,10,NULL,White);
  ObjectCreate(0,"delta2",OBJ_LABEL,0,0,0);
 ObjectSet("delta2",OBJPROP_XDISTANCE,997);
 ObjectSet("delta2",OBJPROP_YDISTANCE,26);
 ObjectSetText("delta2","Monthly Profit  "+DoubleToStr(profit2,2)+"%",10,NULL,White);
 
 // ObjectSetText("sad","sugi",10,NULL,White);
 // ObjectSet("sad",OBJPROP_XDISTANCE,10);
//ObjectSet("sad",OBJPROP_BGCOLOR,Green);


}
//+------------------------------------------------------------------+
//| Tester function                                                  |
//+------------------------------------------------------------------+
double OnTester()
  {
//---
   double ret=0.0;
//---

//---
   return(ret);
  }
//+------------------------------------------------------------------+
